## Running via unstructured.io

1. Follow the [quick start guide](https://docs.unstructured.io/welcome#quickstart-unstructured-serverless-api)
   from Unstructured.io to get an API Key and API URL.
2. Create a Key via the Key module and enter your API Key.
3. Go to this module's configuration page and select the Key, enter your API 
   URL in the host name, and save.

## Running locally with DDEV.

1. Create file `.ddev/docker-compose.unstructured.yaml`
2. Paste the following contents:
```yaml
services:
  unstructured:
    container_name: ddev-${DDEV_SITENAME}-unstructured
    image: downloads.unstructured.io/unstructured-io/unstructured-api:latest
    labels:
      com.ddev.site-name: ${DDEV_SITENAME}
      com.ddev.approot: ${DDEV_APPROOT}
    ports:
      - "8000"
    environment:
      - VIRTUAL_HOST=$DDEV_HOSTNAME
      - HTTP_EXPOSE=8000:8000
```
3. Run `ddev restart` to load the new container.
4. Run `ddev describe` to get the host name, e.g.
   `http://my-site.ddev.site:8000`
5. Go to the module configuration page, leave the API key blank, and enter the 
   host name from step 4.

## Sample testing the API without AI Automators.

1. Upload a file into Drupal
2. Load that file programmatically and use Devel to view the output:
```php
/** @var \Drupal\unstructured\UnstructuredApi $api */
$api = \Drupal::service('unstructured.api');
$file = \Drupal\file\Entity\File::load(5);
$result = $api->structure($file);
dvm($result);
```