<?php

namespace Drupal\unstructured\Formatters;

use Drupal\Core\File\FileSystemInterface;
use Drupal\file\FileRepositoryInterface;

/**
 * The base class for Unstructured Formatters.
 */
abstract class FormatterBase {

  /**
   * Constructs a new Unstructured object.
   *
   * @param \Drupal\Core\File\FileSystemInterface $fileSystem
   *   The file system service.
   * @param \Drupal\file\FileRepositoryInterface $fileRepository
   *   The file repository service.
   */
  public function __construct(
    protected FileSystemInterface $fileSystem,
    protected FileRepositoryInterface $fileRepository,
  ) {
  }

}
